net.snowflake.client.jdbcapi

## Class DatabaseMetaDataIT

- java.lang.Object
- - net.snowflake.client.AbstractDriverIT
  - - net.snowflake.client.jdbcapi.BaseJDBCTest
    - - net.snowflake.client.jdbcapi.DatabaseMetaDataIT

    public class DatabaseMetaDataIT
    extends BaseJDBCTest

Author:
  hyu

### Constructor Summary

Constructors
Constructor and Description
`DatabaseMetaDataIT()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `setUp()`
`void` `tearDown()`
`void` `testCatalog()`
`void` `testDatabaseAndDriverInfo()`
`void` `testGetColumn()`
`void` `testGetConnection()`
`void` `testGetFunctions()`
`void` `testGetSchema()`
`void` `testGetTables()`
`void` `testInfoThatAlwaysReturnSameValue()`
`void` `testTypeInfo()`

### Methods inherited from class net.snowflake.client.jdbcapi.BaseJDBCTest

`compareTwoLists, fetchColumnInResultSet, fetchResultSet, getConnection, getConnection, getInfoViaSQLCmd, getSFProjectRootString, getSizeOfResultSet, loadConfig`

### Methods inherited from class net.snowflake.client.AbstractDriverIT

`getConnection, getConnection`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DatabaseMetaDataIT

    public DatabaseMetaDataIT()

### Method Detail

#### setUp

    public void setUp()
               throws SQLException

Overrides:
  `setUp` in class `AbstractDriverIT`
Throws:
  `SQLException`

#### tearDown

    public void tearDown()
                  throws SQLException

Overrides:
  `tearDown` in class `AbstractDriverIT`
Throws:
  `SQLException`

#### testCatalog

    public void testCatalog()
                     throws SQLException

Throws:
  `SQLException`

#### testGetColumn

    public void testGetColumn()
                       throws SQLException

Throws:
  `SQLException`

#### testGetFunctions

    public void testGetFunctions()
                          throws SQLException

Throws:
  `SQLException`

#### testGetConnection

    public void testGetConnection()
                           throws SQLException

Throws:
  `SQLException`

#### testDatabaseAndDriverInfo

    public void testDatabaseAndDriverInfo()
                                   throws SQLException

Throws:
  `SQLException`

#### testGetSchema

    public void testGetSchema()
                       throws SQLException

Throws:
  `SQLException`

#### testGetTables

    public void testGetTables()
                       throws SQLException

Throws:
  `SQLException`

#### testTypeInfo

    public void testTypeInfo()
                      throws SQLException

Throws:
  `SQLException`

#### testInfoThatAlwaysReturnSameValue

    public void testInfoThatAlwaysReturnSameValue()
                                           throws SQLException

Throws:
  `SQLException`